package com.psol.xbe2;

import java.io.*;
import java.net.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * XMLGlossary is a simple servlet to return definitions.
 *
 * @version Nov 21, 2000
 * @author Benot Marchal <bmarchal@pineapplesoft.com>
 */

public class XMLGlossary
   extends HttpServlet
{
   /**
    * handle GET method, HttpServlet forward GET request from
    * service() to this method
    * @param request the request received from the client
    * @param response interface to the client
    */
   protected void doGet(HttpServletRequest request,
                        HttpServletResponse response)
      throws IOException
   {
      response.setContentType("text/html");
      ResourceBundle definitions =
         ResourceBundle.getBundle("com.psol.xbe2.Definitions",
                                  request.getLocale());
      Writer w = response.getWriter();
      w.write("<HTML>");
      w.write("<HEAD><TITLE>");
      w.write(getServletName());
      w.write("</TITLE></HEAD><BODY>");
      String word = request.getParameter("word");
      if(null != word)
      {
         w.write("<P><B>"); w.write(word); w.write(":</B> ");
         String lowerCaseWord = word.toLowerCase();
         try
         {
            w.write(definitions.getString(lowerCaseWord));
         }
         catch(MissingResourceException e)
         {
            w.write("unknown, sorry");
         }
         w.write("<HR>");
      }
      w.write("<FORM ACTION='");
      w.write(request.getRequestURI()); w.write("'>");
      w.write("<INPUT NAME='word'><INPUT TYPE='SUBMIT'>");
      w.write("</BODY></HTML>");
      w.flush();
   }
}