<?xml version="1.0"?>
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/TR/WD-xsl"
   xmlns="http://www.w3.org/TR/REC-html40"
   result-ns="">

<xsl:template match="*">
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="text()">
   <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="/">
<html>
   <head>
      <title><xsl:value-of
         select="article/articleinfo/title"/></title>
   </head>
   <xsl:apply-templates/>
</html>
</xsl:template>

<xsl:template match="article">
<body>
   <xsl:apply-templates/>
</body>
</xsl:template>

<xsl:template match="articleinfo/title">
   <h1><xsl:apply-templates/></h1>
</xsl:template>

<xsl:template match="sect1/title">
   <h2><xsl:apply-templates/></h2>
</xsl:template>

<xsl:template match="ulink">
   <a href="{@url}"><xsl:apply-templates/></a>
</xsl:template>

<xsl:template match="emphasis">
   <b><xsl:apply-templates/></b>
</xsl:template>

<xsl:template match="para">
   <p><xsl:apply-templates/></p>
</xsl:template>

<!-- xsl:text not supported -->

<xsl:template match="author">
   <p>by <xsl:value-of select="firstname"/> <xsl:value-of
      select="surname"/></p>
</xsl:template>

</xsl:stylesheet>
