<?xml version="1.0"?>
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:fo="http://www.w3.org/1999/XSL/Format"
   version="1.0">

<xsl:output method="xml" indent="yes"/>

<xsl:template match="/">
   <fo:root>
      <fo:layout-master-set>
         <fo:simple-page-master master-name="basic"
             margin-right="1in" margin-left="1in"
             margin-bottom="1in" margin-top="1in"
             page-width="8.5in" page-height="4in">
<!--             page-width="8.5in" page-height="11in">-->
            <fo:region-body/>
         </fo:simple-page-master>
      </fo:layout-master-set>
      <xsl:apply-templates/>
   </fo:root>
</xsl:template>

<xsl:template match="article">
   <fo:page-sequence master-name="basic">
      <fo:flow flow-name="xsl-region-body">
         <fo:block font-family="Times Roman" font-size="11pt">
            <xsl:apply-templates/>
         </fo:block>
      </fo:flow>
   </fo:page-sequence>
</xsl:template>

<xsl:template match="articleinfo/title">
   <fo:block font-family="Helvetica" font-weight="bold" font-size="18pt" space-after="9pt">
      <xsl:apply-templates/>
   </fo:block>
</xsl:template>

<xsl:template match="sect1/title">
   <fo:block font-family="Helvetica" font-weight="bold" space-after="5pt">
      <xsl:apply-templates/>
   </fo:block>
</xsl:template>

<xsl:template match="ulink">
   <fo:basic-link external-destination="{@url}" color="blue"><xsl:apply-templates/></fo:basic-link>
</xsl:template>

<xsl:template match="emphasis">
   <fo:inline font-weight="bold"><xsl:apply-templates/></fo:inline>
</xsl:template>

<xsl:template match="para">
   <fo:block space-after="5pt">
      <xsl:apply-templates/>
   </fo:block>
</xsl:template>

<xsl:template match="author">
   <fo:block font-style="italic" space-after="5pt">by <xsl:apply-templates/></fo:block>
</xsl:template>

</xsl:stylesheet>