<?xml version="1.0"?>
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:fo="http://www.w3.org/1999/XSL/Format"
   version="1.0">

<xsl:output method="xml" indent="yes"/>

<xsl:template match="/">
   <fo:root>
      <fo:layout-master-set>
         <fo:simple-page-master master-name="basic"
             margin-right="1in" margin-left="1in"
             margin-bottom="1in" margin-top="1in"
             page-width="8.5in" page-height="11in">
            <fo:region-body/>
         </fo:simple-page-master>
      </fo:layout-master-set>
      <xsl:apply-templates/>
   </fo:root>
</xsl:template>

<xsl:template match="article">
   <fo:page-sequence master-name="basic">
      <fo:flow flow-name="xsl-region-body">
         <fo:block font-family="Times Roman" font-size="11pt">
            <xsl:apply-templates/>
         </fo:block>
      </fo:flow>
   </fo:page-sequence>
</xsl:template>

<xsl:template match="ulink | emphasis | firstname | surname">
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="*">
   <fo:block border-style="solid" border-width="1pt" space-after="7pt">
      <xsl:apply-templates/>
   </fo:block>
</xsl:template>

</xsl:stylesheet>