package com.psol.xbe2;

import java.io.*;
import org.w3c.dom.*;
import org.xml.sax.*;
import javax.xml.parsers.*;
import org.apache.xerces.parsers.*;

public class Conversion
{
  public static void main(String[] args)
    throws Exception
  {
    if(args.length < 2)
    {
      System.out.print("java com.psol.xbe2.Conversion");
      System.out.println(" filename rate");
      return;
    }
    double rate = Double.parseDouble(args[1]);
    DocumentBuilderFactory factory =
       DocumentBuilderFactory.newInstance();
    factory.setNamespaceAware(true);
    factory.setValidating(false);
    DocumentBuilder builder = factory.newDocumentBuilder();
    Document document = builder.parse(new File(args[0]));
    Conversion conversion =
      new Conversion(document,rate);
  }

  public Conversion(Document document,double rate)
  {
    searchPrice(document.getDocumentElement(),rate);
  }

  protected void searchPrice(Node node,double rate)
  {
    if(node.getNodeType() == Node.ELEMENT_NODE)
    {
      Element element = (Element)node;
      if(element.getLocalName().equals("product") &&
         element.getNamespaceURI().equals(
           "http://www.psol.com/xbe2/listing7.1"))
      {
         NamedNodeMap atts = element.getAttributes();
         Attr att = (Attr)atts.getNamedItemNS(null,"price");
         double price = att != null ?
                        Double.parseDouble(att.getValue()) : 0;
         System.out.print(getText(node) + ": ");
         System.out.println(price * rate);
      }
      NodeList children = node.getChildNodes();
      for(int i = 0;i < children.getLength();i++)
        searchPrice(children.item(i),rate);
    }
  }

  protected String getText(Node node)
  {
    StringBuffer buffer = new StringBuffer();
    NodeList children = node.getChildNodes();
    for(int i = 0;i < children.getLength();i++)
    {
      Text text = (Text)children.item(i);
      buffer.append(text.getData());
    }
    return buffer.toString();
  }
}
