<?xml version="1.0"?>
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   version="1.0">

<xsl:output method="html"/>

<xsl:template match="/">
   <xsl:apply-templates select="//article"/>
</xsl:template>

<xsl:template match="article">
<html>
   <head>
      <title><xsl:value-of
         select="articleinfo/title"/></title>
   </head>
   <body>
      <xsl:apply-templates/>
   </body>
</html>
</xsl:template>

<xsl:template match="articleinfo/title">
   <h1><xsl:apply-templates/></h1>
</xsl:template>

<xsl:template match="sect1/title">
   <h2><xsl:apply-templates/></h2>
</xsl:template>

<xsl:template match="ulink">
   <a href="{@url}"><xsl:apply-templates/></a>
</xsl:template>

<xsl:template match="emphasis">
   <b><xsl:apply-templates/></b>
</xsl:template>

<xsl:template match="para">
   <p><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="author">
   <p>by <xsl:value-of select="firstname"/>
   <xsl:text> </xsl:text>
   <xsl:value-of select="surname"/></p>
</xsl:template>

</xsl:stylesheet>
